Google Jobs API
Google Jobsから構造化された求人情報を取得します。engine=google_jobs を設定し、barista や software engineer のようなクエリを渡すことで、職種名、雇用主、勤務地、応募リンクを取得できます。
Endpoint
Section titled “Endpoint” GET https://serp.shifter.io/v1?engine=google_jobs&api_key=YOUR_API_KEY
Parameters
Section titled “Parameters”| Parameter | Type | Required | Description |
|---|---|---|---|
api_key | string | yes | あなたのSERP APIキー |
engine | string | yes | google_jobs を指定する必要があります |
q | string | yes | 求人検索クエリ |
device | string | no | desktop、mobile、または tablet |
google_domain | string | no | 使用するGoogleドメイン |
location | string | no | ジオターゲティングの地域名 |
uule | string | no | Googleエンコードされた位置情報文字列 |
hl | string | no | インターフェース言語コード |
gl | string | no | 国コード |
start | int | no | ページネーション用の結果オフセット |
Example request
Section titled “Example request”curl "https://serp.shifter.io/v1?engine=google_jobs&api_key=YOUR_API_KEY&q=barista"import requests
params = { "engine": "google_jobs", "api_key": "YOUR_API_KEY", "q": "barista",}r = requests.get("https://serp.shifter.io/v1", params=params)data = r.json()import fetch from 'node-fetch';
const url = 'https://serp.shifter.io/v1?' + new URLSearchParams({ engine: 'google_jobs', api_key: 'YOUR_API_KEY', q: 'barista',});const data = await (await fetch(url)).json();Example response
Section titled “Example response”{ "search_parameters": { "engine": "google_jobs", "q": "barista", "google_domain": "google.com" }, "jobs_results": [ { "title": "Barista", "company_name": "Starbucks", "location": "New York, NY", "via": "via Indeed", "description": "Create the Starbucks Experience...", "detected_extensions": { "posted_at": "2 days ago", "schedule_type": "Part-time" }, "job_id": "eyJqb2JfdGl0bGUiOiJCYXJpc3RhIi..." } ]}